OpenVDB: VolumeTransfer< TreeT > Struct Template Reference

OpenVDB 12.0.1 |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Attributes | List of all members
VolumeTransfer< TreeT > Struct Template Reference

VolumeTransfer specialization for a single target volume. More...

`#include <openvdb/points/PointTransfer.h>`

## Public Types
using | TreeType = TreeT
using | ValueType = typename TreeType::ValueType
using | NodeMaskT = typename TreeType::LeafNodeType::NodeMaskType
using | TreeTupleT
using | TreeType
using | ValueType
using | NodeMaskT

## Public Member Functions
| VolumeTransfer (TreeType *tree)
| VolumeTransfer (TreeType &tree)
| VolumeTransfer (const VolumeTransfer &other)
TreeType & | topology ()
void | initialize (const Coord &origin, const size_t, const CoordBBox &)
ValueType * | buffer ()
const ValueType * | buffer () const
NodeMaskT * | mask ()
const NodeMaskT * | mask () const
template<size_t>
ValueType * | buffer ()
template<size_t>
const ValueType * | buffer () const
template<size_t>
NodeMaskT * | mask ()
template<size_t>
const NodeMaskT * | mask () const
| VolumeTransfer (TreeTypes *... trees)
| VolumeTransfer (TreeTypes &... trees)
| VolumeTransfer (const VolumeTransfer &other)
TreeType< 0 > & | topology ()
void | initialize (const Coord &origin, const size_t, const CoordBBox &)
ValueType< Idx > * | buffer ()
const ValueType< Idx > * | buffer () const
NodeMaskT * | mask ()
NodeMaskT * | mask (const size_t idx)
const NodeMaskT * | mask () const
const NodeMaskT * | mask (const size_t idx) const
void | foreach (const FunctorT &functor)

## Static Public Attributes
static const size_t | Size

## Detailed Description

template<typename TreeT>
struct openvdb::v12_0::points::VolumeTransfer< TreeT >

VolumeTransfer specialization for a single target volume.

## Member Typedef Documentation

## ◆ NodeMaskT [1/2]

using NodeMaskT

## ◆ NodeMaskT [2/2]

template<typename TreeT>

using NodeMaskT = typename TreeType::LeafNodeType::NodeMaskType

## ◆ TreeTupleT

using TreeTupleT

## ◆ TreeType [1/2]

using TreeType

## ◆ TreeType [2/2]

template<typename TreeT>

using TreeType = TreeT

## ◆ ValueType [1/2]

using ValueType

## ◆ ValueType [2/2]

template<typename TreeT>

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ VolumeTransfer() [1/6]

template<typename TreeT>

VolumeTransfer | ( | TreeType * | tree | ) |
| inline

## ◆ VolumeTransfer() [2/6]

template<typename TreeT>

VolumeTransfer | ( | TreeType & | tree | ) |
| inline

## ◆ VolumeTransfer() [3/6]

template<typename TreeT>

VolumeTransfer | ( | const VolumeTransfer< TreeT > & | other | ) |
| inline

## ◆ VolumeTransfer() [4/6]

VolumeTransfer | ( | TreeTypes *... | trees | ) |

## ◆ VolumeTransfer() [5/6]

VolumeTransfer | ( | TreeTypes &... | trees | ) |
| inline

## ◆ VolumeTransfer() [6/6]

VolumeTransfer | ( | const VolumeTransfer< TreeT > & | other | ) |
| inline

## Member Function Documentation

## ◆ buffer() [1/6]

ValueType< Idx > * buffer | ( |  | ) |
| inline

## ◆ buffer() [2/6]

template<typename TreeT>

ValueType * buffer | ( |  | ) |
| inline

## ◆ buffer() [3/6]

template<typename TreeT>
template<size_t>

ValueType * buffer | ( |  | ) |
| inline

## ◆ buffer() [4/6]

const ValueType< Idx > * buffer | ( |  | ) | const
| inline

## ◆ buffer() [5/6]

template<typename TreeT>

const ValueType * buffer | ( |  | ) | const
| inline

## ◆ buffer() [6/6]

template<typename TreeT>
template<size_t>

const ValueType * buffer | ( |  | ) | const
| inline

## ◆ foreach()

void foreach | ( | const FunctorT & | functor | ) |
| inline

## ◆ initialize() [1/2]

void initialize | ( | const Coord & | origin,
|  | const size_t | ,
|  | const CoordBBox & | )
| inline

## ◆ initialize() [2/2]

template<typename TreeT>

void initialize | ( | const Coord & | origin,
|  | const size_t | ,
|  | const CoordBBox & | )
| inline

## ◆ mask() [1/8]

NodeMaskT * mask | ( |  | ) |
| inline

## ◆ mask() [2/8]

template<typename TreeT>

NodeMaskT * mask | ( |  | ) |
| inline

## ◆ mask() [3/8]

template<typename TreeT>
template<size_t>

NodeMaskT * mask | ( |  | ) |
| inline

## ◆ mask() [4/8]

const NodeMaskT * mask | ( |  | ) | const
| inline

## ◆ mask() [5/8]

template<typename TreeT>

const NodeMaskT * mask | ( |  | ) | const
| inline

## ◆ mask() [6/8]

template<typename TreeT>
template<size_t>

const NodeMaskT * mask | ( |  | ) | const
| inline

## ◆ mask() [7/8]

NodeMaskT * mask | ( | const size_t | idx | ) |
| inline

## ◆ mask() [8/8]

const NodeMaskT * mask | ( | const size_t | idx | ) | const
| inline

## ◆ topology() [1/2]

TreeType< 0 > & topology | ( |  | ) |
| inline

## ◆ topology() [2/2]

template<typename TreeT>

TreeType & topology | ( |  | ) |
| inline

## Member Data Documentation

## ◆ Size

const size_t Size
| static